Replies (49)

  • @name, будет, но не долго
  • @datacompboy, всмысле?
  • @datacompboy, Вообще не будет.
  • @name, советую взять dist-upgrade, тогда система придёт в нерабочую ситуацию горраздо быстрее
  • @datacompboy, а почему получение обновлений приведёт систему в нерабочее состояние? Я всегда думал наоборот
  • @PoZitron, а можно ли как-то запускать эту команду от рута через кронтаб?
  • @name, через рутовый кронтаб
  • @name, datacompboy@nuuzerpogodible:~$ sudo aptitude dist-upgrade
    Следующие НОВЫЕ пакеты будут установлены:
    ...
    Следующие пакеты будут УДАЛЕНЫ:
    ...
    Следующие пакеты будут обновлены:
    ...
    267 пакетов обновлено, 122 установлено новых, 6 пакетов отмечено для удаления, и 0 пакетов не обновлено.
    Необходимо получить 1 197 MB архивов. После распаковки 308 MB будет занято.
    Следующие пакеты имеют неудовлетворённые зависимости:
    ...
    Следующие действия разрешат зависимости:

    Удалить следующие пакеты:
    1) bsh-gcj
    2) evolution-exchange
    3) foomatic-filters
    4) foomatic-filters-ppds
    5) gcc-4.4-arm-linux-gnueabi
    6) ghostscript-cups
    7) kvm
    8) libaudit0
    9) libcheese-gtk21
    10) libcheese3
    11) libcogl-pango0
    12) libcogl9
    13) libebook-1.2-13
    14) libedata-book-1.2-13
    15) libedataserverui-3.0-1
    16) libgdata13
    17) libgladeui-2-0
    18) libgoa-1.0-0
    19) libgomp1-armel-cross
    20) libgtksourceview-3.0-0
    21) libharfbuzz0a
    22) libharfbuzz0a:i386
    23) libmutter0
    24) libopenmpi1.3
    25) libreoffice-filter-mobiledev
    26) nautilus-sendto-empathy
    27) nvidia-cuda-toolkit
    28) nvidia-opencl-dev
    29) python-evolution
    30) python-irclib
    31) python-uno
    32) software-center
    33) tcl8.4
    34) texlive-common
    35) texlive-doc-base
    36) tk8.4
    37) xprint
    38) xserver-xorg-video-apm
    39) xserver-xorg-video-ark
    40) xserver-xorg-video-chips
    41) xserver-xorg-video-i128
    42) xserver-xorg-video-rendition
    43) xserver-xorg-video-s3
    44) xserver-xorg-video-s3virge
    45) xserver-xorg-video-sis
    46) xserver-xorg-video-tseng
    47) xserver-xorg-video-voodoo

    Сохранить для следующих пакетов их текущие версии:
    48) nvidia-libopencl1 [Не установлен]

    Оставить следующие зависимости неразрешёнными:
    49) xprint-utils рекомендует xprint
    50) xprint-common рекомендует xprint


    Принять данное решение? [Y/n/q/?]
  • @PoZitron, о, точно. Спасибо.
  • @PoZitron, через суду тоже будет работать, если это от пользователя с NOPASSWD, проверено
  • @datacompboy, а причём тут dist-upgrade?
    upgrade обычно не требует вмешательства пользователя
  • @datacompboy, а при чём тут dist-upgrade?
  • @PoZitron, а при том, что при просто upgrade я тоже получал шар с волосами не раз.
  • @datacompboy, таких пользователей у меня нет
  • @name, и не надо
  • @datacompboy, ССЗБ
  • @name, почему и сказал — что лучше брать dist-upgrade, он убьёт систему гораздо быстрее и надёжнее
  • @PoZitron, Не доверяй никому влезать в твою систему без твоего ведома.
  • @PoZitron, а уж сколько раз дрова слетали, и прочие радости я вообще помолчу.
  • @PoZitron, у тебя такая вот хуйня была когда после upgrade система ломалась?
  • @name, тут вот сейчас апгрейд на systemd идёт... и не все депы обновлены корректно...
  • @datacompboy, не обновлены корректно кем? Пользователем или мейнтейнерами?
  • @name, что б сильно ломалась? нет. но бывало всякое, поэтому я автообновления отключил. но если лень, а система не критичная — почему нет?
  • @name, ты либо сам себе сломал систему, либо сидишь на какой-нибудь альфе
  • @PoZitron, я не ломал, сижу на LTS
  • @name, не туда ответил. в /21 хотел
  • @name, мейнтейнерами
  • @PoZitron, я сижу на debian testing БЕЗ автоапдейтов.
    ломался debian stable (squeeze), когда пришло новое ядро по каналу security, и это убило nvidia драйвера.
  • @datacompboy, это прямо вот в стабильной ветке? И все знают и мейнтейнеры никого не хотят слушать и выкатывают сырой продукт?
  • @name, нет, почему, чинят быстро. обычно 1-2 дня и всё ок. вот только крон если срабатывает в эти 1-2 дня — ехать чинить тебе
  • @datacompboy, стало быть, дрова криво стояле. в Убунте модуль дров компилится автоматически при каждомо обновлении ядра, такой проблемы нет.
  • @datacompboy, на нвидию многие ругаются. У меня опять же нетбук без видеокарты, там слетать нечему
  • @PoZitron, да, с wheezy всё приплыло в dkms и стало бело пушисто и шелковисто. ломалось всего трижды, когда ядро и драйвер становились не совместимы друг с другом временно.
  • @name, да и сам слёт видеокарты я далеко не сразу замечу, потому что к нетбуку очень редко подхожу, а дрова на фреймбуфер вряд ли слетят
  • @name, вот только один вопрос — а зачем его тогда обновлять вообще?
  • @datacompboy, с гентушниками никогда не общался?
  • @PoZitron, баг миловал
  • @datacompboy, некоторым доставляет удовольствие что у них обновлённая система. стабильность не нужна
  • @datacompboy, в основном из-за тора и i2p, и ещё нескольких приложений, за обновлениями которых мне лень следить, но хочется иметь последнюю версию. Да и вообще, компьютер на то и компьютер чтобы в нём всё было автоматизировано, руками делать простейшие операции дюже лень.
  • @PoZitron, если бы мне не была нужна стабильность я бы уже на единороге катался
  • @name, автообновления, это действительно опасно. если стабильность не нужна — то пожалуйста
  • @PoZitron, спроси любого виндузятника — недавно вон опять приходили важные обновления, убивающие систему
  • @PoZitron, А уж сколько систем убито было автообновлением аваста...
  • @datacompboy, не знаю ни одного виндузятника у которого включено обновление
  • @datacompboy, зачем использовать аваст когда есть антивирусы
  • @name, они сами не в курсе что у них включено обновление
  • @name, А вот кстати у меня на всех машинах (кроме тех, где важна стабильность) включено :) причем я в курсе этого. проблем от вирусов меньше.
  • @name, FFFFFFUUUUUUUUUUUUUUUUUUUU~
    Не надо так
  • @NokitaKaze, ок, понял, удалил.